Subject: Chu Pang-fu

From: Curtis Smith <[email-masked]>
Date: Mon, 28 Feb 1994 20:39:09 GMT

Hello!

A few months ago, there was some talk of Chu Pang-fu (朱邦复), and I
mentioned that I was going to visit him. Well, I just returned a few days
ago. While I was there, he gave me a copy of his system 明珠which
contains text editor, spreed sheet, data base, drawing, and desktop pub-
lishing utilities. It uses Cang-jie for input, and has over 60,000 characters.
It has three styles of outline fonts, which can be changed in many ways.
The best part of this is that the entire system is in one 449,802 byte file. I
have uploaded this system as ABQ.ZIP to ifcss.org ../incoming, and it should
be moved to ../software/dos/chinese-systems. Please read the README.1ST
file before trying this system. Chu asked me to be sure to mention that
this system still contains some bugs. He also said that it may be distributed
freely to anyone. After playing with the system myself a bit, I have found
what I believe may be a few bugs, but due to the rather "idiosyncratic"
nature of the system, it may be that I simply do not understand it well
enough yet. This is actually simply his earlier Chu-chen 聚珍system,
with a few minor revisions. There is a book out on this system, although I
doubt that it could be bought any longer.

      As for the suggestion I was asked to pass on to Mr Chu concerning
getting on to the network, when I mentioned this to him, he simply laughed
and said "Tell them that Chu Pang-fu is too poor to be on the network!"
(He is not affiliated to any institution, academic or other.)

      At present, Mr Chu has his sights set on a much higher target than
simply building a Chinese computer system. He is working on something
called an "comprehension system 理解系统", which is an artificial
intelligence system, based on, if you can believe me, a foundation of the
cang-jie structure and the Lao-tzu. He explains that cang-jie is not simply
an input system, but a concept of the structure of the Chinese writing
system. After a look at his work so far, I was quite amazed. Testing is
schedualed for July of this year!

Curtis Smith
Bitnet: NTNUS239@TWNMOE10
Internet: [email-masked]